from setuptools import setup
import sys


INSTALL_REQUIRES = ['python-dateutil >=1.4.1', 'requests >=2.2.1', 'boto >=2.4.0']
if sys.version_info < (2, 7, 0):
  INSTALL_REQUIRES.append('argparse >=1.1')


with open("README.rst") as f:
  long_description = f.read()


setup(
  name="spotman_client",
  version="0.1.3",
  description="Client for talking to Qubole's spotman service",
  long_description=long_description,
  url='https://pypi.python.org/pypi/spotman_client',
  author='Rohit Agarwal',
  author_email='rohita@qubole.com',
  keywords='qubole ec2 spot analysis',
  packages=["spotman_client"],
  install_requires = INSTALL_REQUIRES,
  entry_points={
    'console_scripts': [
      'spotman-client=spotman_client.cli:main',
    ],
  },
)
