#!/usr/bin/env python

from __future__ import print_function
import sys
import requests

def add_feedback(api_url, api_token, normalized_az, instance_type,
    bid_time, response_delay, num_instances_requested, bid_price, status,
    reason):
  """
  add_feedback
  """
  payload = {
      'normalized_az': normalized_az,
      'instance_type': instance_type,
      'bid_time': bid_time,
      'response_delay': response_delay,
      'num_instances_requested': num_instances_requested,
      'bid_price': bid_price,
      'status': status,
      'reason': reason
  }

  add_feedback_url = api_url.rstrip("/") + "/add_feedback"
  headers = {'X-Api-Token': api_token}
  response = requests.post(add_feedback_url, data=payload, headers=headers)

  if response.status_code != 200:
    print("Adding feedback failed!", file=sys.stderr)
    print("Status Code: %s" % response.status_code, file=sys.stderr)
    print(response.text, file=sys.stderr)
    return None

  info = response.json()
  return info
