#!/usr/bin/env python

from __future__ import print_function
import sys
import requests

def get_analysis(api_url, api_token, normalized_az_list,
    instance_type_list, price_list, days=7):
  """
  get_analysis
  """
  payload = {
      'normalized_az': normalized_az_list,
      'instance_type': instance_type_list,
      'price': price_list,
      'days': days
  }

  get_analysis_url = api_url.rstrip("/") + "/get_analysis"
  headers = {'X-Api-Token': api_token}
  response = requests.get(get_analysis_url, params=payload, headers=headers)

  if response.status_code != 200:
    print("Getting analysis from service failed.", file=sys.stderr)
    print("Status Code: %s" % response.status_code, file=sys.stderr)
    print(response.text, file=sys.stderr)
    return None

  info = response.json()
  return info
