#!/usr/bin/env python

from __future__ import print_function
import sys
import requests

def get_ita(api_url, api_token, regions):
  """
  get_instance_type_availability
  """
  payload = {
      'regions': regions
  }

  get_ita_url = api_url.rstrip("/") + "/get_instance_type_availability"
  headers = {'X-Api-Token': api_token}
  response = requests.get(get_ita_url, params=payload, headers=headers)

  if response.status_code != 200:
    print("Getting instance type availability from service failed.", file=sys.stderr)
    print("Status Code: %s" % response.status_code, file=sys.stderr)
    print(response.text, file=sys.stderr)
    return None

  info = response.json()
  return info
